UCMA 3.0 Runtime

An administrator who is preparing to install a third-party UCMA-enabled application on a deployment computer must download and install UcmaRuntimeSetup.exe. Installing UCMA 3.0 Runtime provides all of the UCMA-related functionality needed by a UCMA-enabled application.

The following are the hardware and software requirements for installing UCMA 3.0 Runtime.

  • The target platform must be a 64-bit computer.

  • Supported operating systems: Microsoft Windows Server 2008 with Service Pack 2; Windows Server 2008 R2 with the latest service pack; Windows 7; Windows Vista.

    Note Note

    Auto-provisioned applications cannot be deployed on computers running Windows 7 or Windows Vista.

  • Microsoft .NET Framework 3.5 Service Pack 1 or later service packs.

    Windows Server 2008 SP2 and Windows Vista: Microsoft .NET Framework 3.5 Service Pack 1.

    Windows Server 2008 R2: UcmaRuntimeSetup.exe automatically installs .NET Framework 3.5 SP1

    Windows 7 comes with .NET 3.5.

    Note Note

    If .NET Framework 4.0 is installed, .NET Framework 3.5 SP 1 (or later service pack) must still be installed.

  • Antivirus software

    Antivirus software is not recommended for computers running Microsoft Office Communications Server 2007, Microsoft Office Communications Server 2007 R2, or Microsoft Lync Server 2010. For optimal performance for a server that must run antivirus software, include all Communications Server/Lync Server 2010 computers in the antivirus software’s exception list.

This section describes how to install the UCMA 3.0 Runtime and related components.

Installing UCMA 3.0 Runtime

You must have elevated permissions to install UCMA 3.0 Runtime. A reboot is required to install and enable Windows Media Format after UCMA 3.0 Runtime setup is finished.

To install UCMA 3.0 Runtime

  1. Download UcmaRuntimeSetup.exe.

  2. Launch UcmaRuntimeSetup.exe and follow the screens to accept the End-User License Agreement (EULA). The setup wizard will install all the necessary components.

  3. Follow the instructions on the screen to complete the installation.

Note Note

UcmaRuntimeSetup.exe installs the English versions of the Speech Recognition and Text-to-Speech engines. The final screen of the installer provides a link to download additional engines for other languages.

Note Note

Additional steps are required to install Microsoft Lync Server 2010, Core Components (OCSCore.msi). These steps are described later in this topic.

UCMA 3.0 Runtime Components

UcmaRuntimeSetup.exe installs the following components.

  • Microsoft  VC ++ 2008 Redistributable –x64 9.0.30729.4148 package

    Microsoft Unified Communications Managed API 3.0 Runtime is built on .NET Framework 3.5 Service Pack 1 and Visual C++ 2008 Redistributable Package (x64).

  • Microsoft Server Speech Platform Runtime (x64) package

  • Microsoft Server Speech Recognition Language – TELE (en-US)

  • Microsoft Server Speech Text To Speech Voice (en-US, Helen)

  • Windows Media Format Runtime

    Windows Media Format Runtime must be present if you use UCMA 3.0 to develop applications that play or record media.

  • Bootstrapper Prerequisites Installer Package

    Copies Lync Server 2010 Core Components MSI (OCSCore.msi) and its prerequisites. OCSCore.msi enables running Communications Server-specific PowerShell cmdlets from the local computer. OCSCore.msi also enables the installation of the local Central Management Store replica, which is required by auto-provisioned UCMA applications.

Note Note

Side-by-side installations of UCMA 2.0 and UCMA 3.0 are not supported.

Installing Microsoft Lync Server 2010 Core Components

OCSCore.msi does not have a redistribution license. It must be installed either by using Bootstrapper Prerequisites Installer Package installed by UcmaRuntimeSetup.exe (recommended) or by installing the Admin Tools available on the Communications Server DVD.

To install Microsoft Lync Server 2010 Core Components

  1. Confirm that Microsoft PowerShell 2.0 RTM is installed on the deployment computer.

    1. Windows Server 2008 SP 2

      This operating system version comes with PowerShell 1.0. Install PowerShell 2.0 by applying KB968930.

      If you have a CTP version of PowerShell/WinRM, you must uninstall it in order to use Lync Server Management Shell. Pkgmgr.exe can be used to perform uninstallation using the following command. start /w pkgmgr.exe /uu:MicrosoftWindowsPowerShell.

    2. Windows Server 2008 R2

      This operating system version comes with PowerShell 2.0. Enable the Windows PowerShell 2.0 feature using Server Manager.

    3. Windows 7

      This operating system version comes with PowerShell 2.0.

    4. Windows Vista

      Install PowerShell 2.0 by applying KB968930.

  2. Find OCSCore.msi by navigating to %Installation drive%\ProgramData\Microsoft\Lync Server 2010\Deployment\cache\[Build version]\Setup\.

    Note Note

    By default, the ProgramData folder is hidden, so it might not appear in Windows Explorer.

  3. Launch OCSCore.msi and use the default settings in the wizard.

For information about activating a UCMA application, see Activating a UCMA 3.0 Core Trusted Application.

When a customer application is uninstalled, the application uninstall procedure must not automatically uninstall any of the required components (such as .NET Framework 3.5 Service Pack 1, Visual C++ 2008 Redistributable Package, or UCMA 3.0 Runtime), because other applications might require them. An administrator who has ensured that there are no dependencies can follow the instructions in the following procedure to uninstall UCMA 3.0 Runtime.

To uninstall UCMA 3.0 Runtime and Bootstrapper Prerequisites Installer

  1. Navigate to Programs and Features in Control Panel.

  2. On the right-click menu for the Microsoft Unified Communications Managed API 3.0, Runtime entry, select Uninstall.

  3. A wizard titled “Unified Communications Managed API 3.0, Runtime Uninstallation” appears. Follow the instructions on the screen to complete uninstallation.

  4. On the right-click menu for the Lync Server 2010,  Bootstrapper Prerequisites Installer Package entry, select Uninstall to remove the installer package.

Note Note

Uninstalling the Bootstrapper Prerequisites Installer Package does not automatically uninstall software components that are individually installed by the user, such as Lync Server 2010 Core Components (OCSCore.msi) and others.

The following WiX code can be used to detect whether UCMA 3.0 Runtime has been installed on a computer.

  <Property Id="PROPERTY_UCMA_RUNTIME_INSTALLED" Secure="yes" />
    <!-- Gather information on the installed version of UCMA Runtime 3.0 -->
    <Upgrade Id="{42D7D8DC-0577-4c13-AE01-2C71FE42EFAA}">
      <UpgradeVersion Minimum="4.0.7577.0" OnlyDetect="yes" Property="PROPERTY_UCMA_RUNTIME_INSTALLED" />
    <!-- Verify that the correct version of UCMA Runtime 3.0 is installed and block installation if it is not -->
    <Condition Message="[ProductName] installation requires that Microsoft Unified Communications Managed API 3.0, Runtime version 4.0.7577 is already installed. Installation cannot continue.">